<template>
  <div class="sw-gs-widget-notes">
    <div v-if="slideNotes && slideNotes.length"
         class="sw-gs-widget-notes-wrapper"
        :class="slideNotes.length === 1 ? 'single-note' : ''">
      <div v-for="(note, index) in slideNotes"
           :key="index">
        <div v-if="note.translated.config" v-html="note.translated.config.content.value" class="sw-gs-widget-notes-content"></div>
      </div>
    </div>
    <div v-else
         class="sw-gs-widget-notes-wrapper-empty">
      <span>{{ $t('No notes for this slide available.') }}</span>
    </div>
  </div>
</template>

<script lang="ts">
  import { computed } from '@vue/composition-api';
  import { usePresentation } from "../../logic/composables/usePresentation";
  import { NavigationItem, TreeNavigationItem } from "../../logic/interfaces";
  import {useNotes} from "../../logic/composables/widgets/useNotes";

  export default {
    name: "SwGsNotes",
    components: {},
    setup({}, {}) {
      const { slideNotes } = useNotes();
      return {
        slideNotes
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";

  .sw-gs-widget-notes-content {
    background-color: var(--widget-notes-bg-color);
    font-size: var(--font-size--sm);
    max-height: 200px;
    padding: var(--spacer-sm);
    overflow-y: auto;
    margin-bottom: var(--spacer-xs);
  }

  .single-note .sw-gs-widget-notes-content {
    margin-bottom: 0;
  }
</style>
